<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: vx_border_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>vx_border_t Struct Reference</h1><!-- doxytag: class="vx_border_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Use with the enumeration <code><a class="el" href="vx__types_8h.html#a6698e2a55aa6d7fd5c45e746a0d640b9a8ab2bf9651a379fad8decf0db5d56f8c">VX_NODE_BORDER</a></code> to set the border mode behavior of a node that supports borders. </p>
<p>If the indicated border mode is not supported, an error <code><a class="el" href="vx__types_8h.html#aa2387ff4d3e967f124fb316300503f92a083ca9ab318f85a17fb8d15078716eba">VX_ERROR_NOT_SUPPORTED</a></code> will be reported either at the time the <code><a class="el" href="vx__types_8h.html#a6698e2a55aa6d7fd5c45e746a0d640b9a8ab2bf9651a379fad8decf0db5d56f8c">VX_NODE_BORDER</a></code> is set or at the time of graph verification. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__border__t.html#a443c0076d98cb53da5ae767627673b5b">mode</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">See <code><a class="el" href="vx__types_8h.html#a2430709469c374c6fadfac72abbbcbb4">vx_border_e</a></code>.  <a href="#a443c0076d98cb53da5ae767627673b5b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="unionvx__pixel__value__t.html">vx_pixel_value_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__border__t.html#a7300e66cc931397424dd02efdbc7f85a">constant_value</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">For the mode <code><a class="el" href="vx__types_8h.html#a2430709469c374c6fadfac72abbbcbb4ad828d514964d86c5b82f1e900db2ecef">VX_BORDER_CONSTANT</a></code>, this union contains the value of out-of-bound pixels.  <a href="#a7300e66cc931397424dd02efdbc7f85a"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a443c0076d98cb53da5ae767627673b5b"></a><!-- doxytag: member="vx_border_t::mode" ref="a443c0076d98cb53da5ae767627673b5b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structvx__border__t.html#a443c0076d98cb53da5ae767627673b5b">vx_border_t::mode</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>See <code><a class="el" href="vx__types_8h.html#a2430709469c374c6fadfac72abbbcbb4">vx_border_e</a></code>. </p>

</div>
</div>
<a class="anchor" id="a7300e66cc931397424dd02efdbc7f85a"></a><!-- doxytag: member="vx_border_t::constant_value" ref="a7300e66cc931397424dd02efdbc7f85a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="unionvx__pixel__value__t.html">vx_pixel_value_t</a> <a class="el" href="structvx__border__t.html#a7300e66cc931397424dd02efdbc7f85a">vx_border_t::constant_value</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>For the mode <code><a class="el" href="vx__types_8h.html#a2430709469c374c6fadfac72abbbcbb4ad828d514964d86c5b82f1e900db2ecef">VX_BORDER_CONSTANT</a></code>, this union contains the value of out-of-bound pixels. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
